import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { MessageService } from '../message.service';
import { TokenService } from '../token.service';

@Component({
  selector: 'app-logout',
  templateUrl: './logout.component.html',
  styleUrls: ['./logout.component.css']
})
export class LogoutComponent implements OnInit {

  constructor(private tokenService: TokenService, private router: Router, private messageService: MessageService) { }

  ngOnInit(): void {
    this.tokenService.logout()
    this.router.navigateByUrl('/login')
  }

}
